Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.citation
Interface Contact

    @UML(identifier="CI_Contact",
         specification=ISO_19115)
    public interface Contact

Information required to enable contact with the responsible person and/or organization.

Since:
  GeoAPI 1.0

Method Summary
`Address` | `getAddress()` Physical and email address at which the organization or individual may be contacted.
`InternationalString` | `getContactInstructions()` Supplemental instructions on how or when to contact the individual or organization.
`InternationalString` | `getHoursOfService()` Time period (including time zone) when individuals can contact the organization or individual.
`OnLineResource` | `getOnLineResource()` On-line information that can be used to contact the individual or organization.
`Telephone` | `getPhone()` Telephone numbers at which the organization or individual may be contacted.

Method Detail

### getPhone

    @UML(identifier="phone",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Telephone getPhone()

  Telephone numbers at which the organization or individual may be contacted. Returns `null` if none.

### getAddress

    @UML(identifier="address",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Address getAddress()

  Physical and email address at which the organization or individual may be contacted. Returns `null` if none.

### getOnLineResource

    @UML(identifier="onLineResource",
         obligation=OPTIONAL,
         specification=ISO_19115)
    OnLineResource getOnLineResource()

  On-line information that can be used to contact the individual or organization. Returns `null` if none.

### getHoursOfService

    @UML(identifier="hoursOfService",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getHoursOfService()

  Time period (including time zone) when individuals can contact the organization or individual. Returns `null` if unspecified.

### getContactInstructions

    @UML(identifier="contactInstructions",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getContactInstructions()

  Supplemental instructions on how or when to contact the individual or organization. Returns `null` if none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.